"""Renames files

Required libraries:
-os

"""

import os

# Input
path = os.getcwd()

substitution_dict = {
    # old : new
    'HCW-ABMv1_0_0-0052 ' : '',
    '_csv_out'            : '',
    '-table'              : ''
    }

# Procedures
def rename(path,oldstr,newstr):
    for files in os.listdir(path):
        os.rename(os.path.join(path, files),
                  os.path.join(path, files.replace(oldstr, newstr)))
        
def substitute(path, substitution_dict):
    for string in substitution_dict:
        rename(path, string, substitution_dict[string])

# Execution
substitute(path, substitution_dict)
